SoundFile = "l10n/DEFAULT/radio-click.wav";

function Msg(text, time)
    trigger.action.outText(text, time or 3)
end

function Alert(text, time)
    Msg(text, time);
    trigger.action.outSound(SoundFile)
end

function Flag(name)
    return trigger.misc.getUserFlag(name)
end

function FlyToPoint(Group, x, y, z)
    local fromcoord = Group:GetCoordinate()
    local wptFrom = fromcoord:WaypointAir("BARO",COORDINATE.WaypointType.TurningPoint,nil,nil,false,nil,nil,"Waypoint")
    local targetCoordinate = COORDINATE:New(x, y, z)
    local wptTo = targetCoordinate:WaypointAir("BARO",COORDINATE.WaypointType.TurningPoint,nil,nil,false,nil,nil,"Waypoint")
    Group:Route({wptFrom, wptTo})
end

-- checks every 3 seconds if flag is true, then executes function
function OnFlagTrue(flag, functionToExecute)
    if Flag(flag) == true or Flag(flag) > 0 then
        functionToExecute();
    else
        mist.scheduleFunction(OnFlagTrue, {flag, functionToExecute}, timer.getTime() + 3);
    end
end