
-- Tailored Random Spawns

-- Minakh SA-19
local minakhSpawner = SPAWN:NewWithAlias("SA-19 Template", "R-AD Minakh SA-19")
local possibleMinakhSpawnZones = {
    ZONE:New("MINAKH-SA-19-SPAWN-ZONE-1"),
    ZONE:New("MINAKH-SA-19-SPAWN-ZONE-2"),
    ZONE:New("MINAKH-SA-19-SPAWN-ZONE-3"),
    ZONE:New("MINAKH-SA-19-SPAWN-ZONE-4"),
    ZONE:New("MINAKH-SA-19-SPAWN-ZONE-5"),
    ZONE:New("MINAKH-SA-19-SPAWN-ZONE-6"),
    ZONE:New("MINAKH-SA-19-SPAWN-ZONE-7"),
    ZONE:New("MINAKH-SA-19-SPAWN-ZONE-8"),
};
minakhSpawner:SpawnInZone(possibleMinakhSpawnZones[math.random(#possibleMinakhSpawnZones)]);

-- Taftanaz SA-19
local taftanazSpawner = SPAWN:NewWithAlias("SA-19 Template", "R-AD Taftanaz SA-19")
local possibleTaftanazSpawnZones = {
    ZONE:New("TAFTANAZ-SA-19-SPAWN-ZONE-1"),
    ZONE:New("TAFTANAZ-SA-19-SPAWN-ZONE-2"),
    ZONE:New("TAFTANAZ-SA-19-SPAWN-ZONE-3"),
    ZONE:New("TAFTANAZ-SA-19-SPAWN-ZONE-4"),
    ZONE:New("TAFTANAZ-SA-19-SPAWN-ZONE-5"),
    ZONE:New("TAFTANAZ-SA-19-SPAWN-ZONE-6"),
    ZONE:New("TAFTANAZ-SA-19-SPAWN-ZONE-7"),
    ZONE:New("TAFTANAZ-SA-19-SPAWN-ZONE-8"),
};
taftanazSpawner:SpawnInZone(possibleTaftanazSpawnZones[math.random(#possibleTaftanazSpawnZones)]);

-- Aleppo SA-6
local aleppoSpawner = SPAWN:NewWithAlias("SA-6 Template", "R-AD Aleppo SA-6 Site")
local possibleAleppoSpawnZones = {
    ZONE:New("ALEPPO-SA-6-SPAWN-ZONE-1"),
    ZONE:New("ALEPPO-SA-6-SPAWN-ZONE-2"),
    ZONE:New("ALEPPO-SA-6-SPAWN-ZONE-3"),
    ZONE:New("ALEPPO-SA-6-SPAWN-ZONE-4"),
    ZONE:New("ALEPPO-SA-6-SPAWN-ZONE-5"),
    ZONE:New("ALEPPO-SA-6-SPAWN-ZONE-6"),
    ZONE:New("ALEPPO-SA-6-SPAWN-ZONE-7"),
    ZONE:New("ALEPPO-SA-6-SPAWN-ZONE-8"),
    ZONE:New("ALEPPO-SA-6-SPAWN-ZONE-9"),
    ZONE:New("ALEPPO-SA-6-SPAWN-ZONE-10"),
    ZONE:New("ALEPPO-SA-6-SPAWN-ZONE-11"),
    ZONE:New("ALEPPO-SA-6-SPAWN-ZONE-12")
};
aleppoSpawner:SpawnInZone(possibleAleppoSpawnZones[math.random(#possibleAleppoSpawnZones)]);

-- Kuweires SA-11
local kueweiresSpawner = SPAWN:NewWithAlias("SA-11 Template", "R-AD Kuweires SA-11 Site")
local possibleKuweiresSpawnZones = {
    ZONE:New("KUWEIRES-SA-11-SPAWN-ZONE-1"),
    ZONE:New("KUWEIRES-SA-11-SPAWN-ZONE-2"),
    ZONE:New("KUWEIRES-SA-11-SPAWN-ZONE-3"),
    ZONE:New("KUWEIRES-SA-11-SPAWN-ZONE-4"),
    ZONE:New("KUWEIRES-SA-11-SPAWN-ZONE-5"),
    ZONE:New("KUWEIRES-SA-11-SPAWN-ZONE-6"),
    ZONE:New("KUWEIRES-SA-11-SPAWN-ZONE-7"),
    ZONE:New("KUWEIRES-SA-11-SPAWN-ZONE-8"),
    ZONE:New("KUWEIRES-SA-11-SPAWN-ZONE-9"),
    ZONE:New("KUWEIRES-SA-11-SPAWN-ZONE-10"),
    ZONE:New("KUWEIRES-SA-11-SPAWN-ZONE-11"),
    ZONE:New("KUWEIRES-SA-11-SPAWN-ZONE-12")
};
kueweiresSpawner:SpawnInZone(possibleKuweiresSpawnZones[math.random(#possibleKuweiresSpawnZones)]);

-- Tabqa SA-10
local tabqaSpawner = SPAWN:NewWithAlias("SA-10 Template", "R-EWR SA-10 Site 1")
local possibleTabqaSpawnZones = {
    ZONE:New("TABQA-SA-10-SPAWN-ZONE-1"),
    ZONE:New("TABQA-SA-10-SPAWN-ZONE-2"),
    ZONE:New("TABQA-SA-10-SPAWN-ZONE-3"),
    ZONE:New("TABQA-SA-10-SPAWN-ZONE-4"),
    ZONE:New("TABQA-SA-10-SPAWN-ZONE-5"),
    ZONE:New("TABQA-SA-10-SPAWN-ZONE-6"),
    ZONE:New("TABQA-SA-10-SPAWN-ZONE-7"),
    ZONE:New("TABQA-SA-10-SPAWN-ZONE-8"),
    ZONE:New("TABQA-SA-10-SPAWN-ZONE-9"),
    ZONE:New("TABQA-SA-10-SPAWN-ZONE-10")
};
tabqaSpawner:SpawnInZone(possibleTabqaSpawnZones[math.random(#possibleTabqaSpawnZones)]);

-- Tabqa SA-10
local hamaSpawner = SPAWN:NewWithAlias("SA-11 Template", "R-AD Hama SA-11 Site")
local possibleHamaSpawnZones = {
    ZONE:New("HAMA-SA-11-SPAWN-ZONE-1"),
    ZONE:New("HAMA-SA-11-SPAWN-ZONE-2"),
    ZONE:New("HAMA-SA-11-SPAWN-ZONE-3"),
    ZONE:New("HAMA-SA-11-SPAWN-ZONE-4"),
    ZONE:New("HAMA-SA-11-SPAWN-ZONE-5"),
    ZONE:New("HAMA-SA-11-SPAWN-ZONE-6"),
    ZONE:New("HAMA-SA-11-SPAWN-ZONE-7"),
    ZONE:New("HAMA-SA-11-SPAWN-ZONE-8"),
    ZONE:New("HAMA-SA-11-SPAWN-ZONE-9"),
    ZONE:New("HAMA-SA-11-SPAWN-ZONE-10"),
    ZONE:New("HAMA-SA-11-SPAWN-ZONE-11"),
    ZONE:New("HAMA-SA-11-SPAWN-ZONE-12")
};
hamaSpawner:SpawnInZone(possibleHamaSpawnZones[math.random(#possibleHamaSpawnZones)]);

-- Late Loading Non-Random Spawns
local alDumayrSpawner = SPAWN:NewWithAlias("SA-6 Template", "R-AD Al-Dumayr SA-6 Site")
local spawnZone = ZONE:New("AL-DUMAYR-SA-6-SPAWN-ZONE")
alDumayrSpawner:SpawnInZone(spawnZone)

local mezzehSpawner = SPAWN:NewWithAlias("SA-6 Template", "R-AD Mezzeh SA-6 Site")
local spawnZone = ZONE:New("MEZZEH-SA-6-SPAWN-ZONE")
mezzehSpawner:SpawnInZone(spawnZone)

local ruhayyilSpawner = SPAWN:NewWithAlias("SA-11 Template", "R-AD Ruhayyil SA-11 Site")
local spawnZone = ZONE:New("RUHAYYIL-SA-11-SPAWN-ZONE")
ruhayyilSpawner:SpawnInZone(spawnZone)

local alQuasayrSpawner = SPAWN:NewWithAlias("SA-6 Template", "R-AD Al-Quasayr SA-6 Site")
local spawnZone = ZONE:New("AL-QUASAYR-SA-6-SPAWN-ZONE")
alQuasayrSpawner:SpawnInZone(spawnZone)

-- Generic Protection Spawns

local prefix = "SHORAD-SPAWN-"
local possibleTemplates = { "SA-19 Template", "SA-8 Template", "SA-9 Template", "SA-13 Template", "SA-18 Template", "ZSU-57 Template", "ZSU-23 Template", "S-60 Template", "KS-19 Template" }
for i=1,30 do
    local zone = trigger.misc.getZone(prefix .. i)
    if not zone then return end

    local mooseZone = ZONE:New(prefix .. i)
    SPAWN:NewWithAlias(possibleTemplates[math.random(#possibleTemplates)], "R-AD SHORAD-" .. i):SpawnInZone(mooseZone)
end